Deals 10 endpoints

GET /deals/{id}/participants

Lists the participants associated with a deal.
If a company uses the Campaigns product, then this endpoint will also return the data.marketing_status field.

operationId: Deals_listParticipants

Parameters

Name In Required Type Description
id path required integer

The ID of the deal

start query optional integer

Pagination start

limit query optional integer

Items shown per page

Responses

200

Get all deal participants by the DealID

GET /deals/{id}/participants
POST /deals/{id}/participants

Adds a participant to a deal.

operationId: Deals_addParticipant

Parameters

Name In Required Type Description
id path required integer

The ID of the deal

Request Body

application/json
schema DealsAddParticipantRequest
Property Type Required
person_id integer required

Responses

200

Add new participant to the deal

POST /deals/{id}/participants
DELETE /deals/{id}/participants/{deal_participant_id}

Deletes a participant from a deal.

operationId: Deals_deleteParticipant

Parameters

Name In Required Type Description
id path required integer

The ID of the deal

deal_participant_id path required integer

The ID of the participant of the deal

Responses

200

Delete a participant from a deal

DELETE /deals/{id}/participants/{deal_participant_id}
GET /deals/{id}/participantsChangelog

List updates about participants of a deal. This is a cursor-paginated endpoint. For more information, please refer to our documentation on pagination.

operationId: Deals_listParticipantsChangelog

Parameters

Name In Required Type Description
id path required integer

The ID of the deal

limit query optional integer

Items shown per page

cursor query optional string

For pagination, the marker (an opaque string value) representing the first item on the next page

Responses

200

Get participant changelogs for a given deal

GET /deals/{id}/participantsChangelog
GET /deals/{id}/permittedUsers

Lists the users permitted to access a deal.

operationId: Deals_listPermittedUsers

Parameters

Name In Required Type Description
id path required integer

The ID of the deal

Responses

200

Success

GET /deals/{id}/permittedUsers
GET /deals/{id}/persons

Lists all persons associated with a deal, regardless of whether the person is the primary contact of the deal, or added as a participant.
If a company uses the Campaigns product, then this endpoint will also return the data.marketing_status field.

operationId: Deals_listPersonsAssociated

Parameters

Name In Required Type Description
id path required integer

The ID of the deal

start query optional integer

Pagination start

limit query optional integer

Items shown per page

Responses

200

Success

GET /deals/{id}/persons
GET /deals/{id}/products

Lists products attached to a deal.

operationId: Deals_listDealProducts

Parameters

Name In Required Type Description
id path required integer

The ID of the deal

start query optional integer

Pagination start

limit query optional integer

Items shown per page

include_product_data query optional number

Whether to fetch product data along with each attached product (1) or not (0, default)

Responses

200

Success

GET /deals/{id}/products
POST /deals/{id}/products

Adds a product to a deal, creating a new item called a deal-product.

operationId: Deals_addProductToDeal

Parameters

Name In Required Type Description
id path required integer

The ID of the deal

Request Body

application/json
schema DealsAddProductToDealRequest
Property Type Required
tax number optional
comments string optional
discount number optional
duration number optional
quantity integer required
item_price number required
product_id integer required
tax_method string optional
enabled_flag boolean optional
discount_type string optional
duration_unit string optional
product_variation_id integer optional

Responses

200

Add a product to the deal

POST /deals/{id}/products
DELETE /deals/{id}/products/{product_attachment_id}

Deletes a product attachment from a deal, using the product_attachment_id.

operationId: Deals_deleteAttachedProduct

Parameters

Name In Required Type Description
id path required integer

The ID of the deal

product_attachment_id path required integer

The product attachment ID

Responses

200

Delete an attached product from a deal

DELETE /deals/{id}/products/{product_attachment_id}
PUT /deals/{id}/products/{product_attachment_id}

Updates the details of the product that has been attached to a deal.

operationId: Deals_updateProductAttachment

Parameters

Name In Required Type Description
id path required integer

The ID of the deal

product_attachment_id path required integer

The ID of the deal-product (the ID of the product attached to the deal)

Request Body

application/json
schema DealsUpdateProductAttachmentRequest
Property Type Required
tax number optional
comments string optional
discount number optional
duration number optional
quantity integer optional
item_price number optional
product_id integer optional
tax_method string optional
enabled_flag boolean optional
discount_type string optional
duration_unit string optional
product_variation_id integer optional

Responses

200

Update product attachment details

PUT /deals/{id}/products/{product_attachment_id}

Files 8 endpoints

GET /files

Returns data about all files.

operationId: Files_getAllFiles

Parameters

Name In Required Type Description
start query optional integer

Pagination start

limit query optional integer

Items shown per page

sort query optional string

The field names and sorting mode separated by a comma (field_name_1 ASC, field_name_2 DESC). Only first-level field keys are supported (no nested keys). Supported fields: id, user_id, deal_id, person_id, org_id, product_id, add_time, update_time, file_name, file_type, file_size, comment.

Responses

200

Get data about all files uploaded to Pipedrive

GET /files
POST /files

Lets you upload a file and associate it with a deal, person, organization, activity, product or lead. For more information, see the tutorial for adding a file.

operationId: Files_uploadAndAssociate

Request Body

multipart/form-data
schema FilesUploadAndAssociateRequest
Property Type Required
file string required
org_id integer optional
deal_id integer optional
lead_id string optional
person_id integer optional
product_id integer optional
activity_id integer optional

Responses

200

Add a file from computer or Google Drive and associate it with deal, person, organization, activity or product

POST /files
POST /files/remote

Creates a new empty file in the remote location (googledrive) that will be linked to the item you supply. For more information, see the tutorial for adding a remote file.

operationId: Files_createRemoteFileAndLink

Request Body

application/x-www-form-urlencoded
schema FilesCreateRemoteFileAndLinkRequest
Property Type Required
title string required
item_id integer required
file_type string required
item_type string required
remote_location string required

Responses

200

Creates a new empty file in the remote location (googledrive) that will be linked to the item you supply - deal, person or organization

POST /files/remote
POST /files/remoteLink

Links an existing remote file (googledrive) to the item you supply. For more information, see the tutorial for adding a remote file.

operationId: Files_linkRemoteFile

Request Body

application/x-www-form-urlencoded
schema FilesLinkRemoteFileRequest
Property Type Required
item_id integer required
item_type string required
remote_id string required
remote_location string required

Responses

200

Links an existing remote file (googledrive) to the item you supply - deal, person, organization

POST /files/remoteLink
DELETE /files/{id}

Marks a file as deleted. After 30 days, the file will be permanently deleted.

operationId: Files_markAsDeleted

Parameters

Name In Required Type Description
id path required integer

The ID of the file

Responses

200

Delete a file from Pipedrive

DELETE /files/{id}
GET /files/{id}

Returns data about a specific file.

operationId: Files_getOneFile

Parameters

Name In Required Type Description
id path required integer

The ID of the file

Responses

200

Get data about one specific file uploaded to Pipedrive

GET /files/{id}
PUT /files/{id}

Updates the properties of a file.

operationId: Files_updateDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the file

Request Body

application/x-www-form-urlencoded
schema FilesUpdateDetailsRequest
Property Type Required
name string optional
description string optional

Responses

200

Update file name and description

PUT /files/{id}
GET /files/{id}/download

Initializes a file download.

operationId: Files_downloadFile

Parameters

Name In Required Type Description
id path required integer

The ID of the file

Responses

200

success

GET /files/{id}/download

Filters 7 endpoints

DELETE /filters

Marks multiple filters as deleted.

operationId: Filters_deleteBulk

Parameters

Name In Required Type Description
ids query required string

The comma-separated filter IDs to delete

Responses

200

Success

DELETE /filters
GET /filters

Returns data about all filters.

operationId: Filters_getAll

Parameters

Name In Required Type Description
type query optional string

The types of filters to fetch

Responses

200

Success

GET /filters
POST /filters

Adds a new filter, returns the ID upon success. Note that in the conditions JSON object only one first-level condition group is supported, and it must be glued with ‘AND’, and only two second level condition groups are supported of which one must be glued with ‘AND’ and the second with ‘OR’. Other combinations do not work (yet) but the syntax supports introducing them in future. For more information, see the tutorial for adding a filter.

operationId: Filters_addNewFilter

Request Body

application/json
schema FiltersAddNewFilterRequest
Property Type Required
name string required
type string required
conditions object required

Responses

200

Success

POST /filters
GET /filters/helpers

Returns all supported filter helpers. It helps to know what conditions and helpers are available when you want to add or update filters. For more information, see the tutorial for adding a filter.

operationId: Filters_getHelpers

Responses

200

Success

GET /filters/helpers
DELETE /filters/{id}

Marks a filter as deleted.

operationId: Filters_markAsDeleted

Parameters

Name In Required Type Description
id path required integer

The ID of the filter

Responses

200

Success

DELETE /filters/{id}
GET /filters/{id}

Returns data about a specific filter. Note that this also returns the condition lines of the filter.

operationId: Filters_getDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the filter

Responses

200

Success

GET /filters/{id}
PUT /filters/{id}

Updates an existing filter.

operationId: Filters_updateFilter

Parameters

Name In Required Type Description
id path required integer

The ID of the filter

Request Body

application/json
schema FiltersUpdateFilterRequest
Property Type Required
name string optional
conditions object required

Responses

200

Success

PUT /filters/{id}

Goals 5 endpoints

POST /goals

Adds a new goal. Along with adding a new goal, a report is created to track the progress of your goal.

operationId: Goals_createReport

Request Body

application/json
schema GoalsCreateReportRequest
Property Type Required
type object required
title string optional
assignee object required
duration object required
interval string required
expected_outcome object required

Responses

200

Successful response containing payload in the data.goal object

POST /goals
GET /goals/find

Returns data about goals based on criteria. For searching, append {searchField}={searchValue} to the URL, where searchField can be any one of the lowest-level fields in dot-notation (e.g. type.params.pipeline_id; title). searchValue should be the value you are looking for on that field. Additionally, is_active=<true|false> can be provided to search for only active/inactive goals. When providing period.start, period.end must also be provided and vice versa.

operationId: Goals_getByCriteria

Parameters

Name In Required Type Description
type.name query optional string

The type of the goal. If provided, everyone’s goals will be returned.

title query optional string

The title of the goal

is_active query optional boolean

Whether the goal is active or not

assignee.id query optional integer

The ID of the user who’s goal to fetch. When omitted, only your goals will be returned.

assignee.type query optional string

The type of the goal’s assignee. If provided, everyone’s goals will be returned.

expected_outcome.target query optional number

The numeric value of the outcome. If provided, everyone’s goals will be returned.

expected_outcome.tracking_metric query optional string

The tracking metric of the expected outcome of the goal. If provided, everyone’s goals will be returned.

expected_outcome.currency_id query optional integer

The numeric ID of the goal’s currency. Only applicable to goals with expected_outcome.tracking_metric with value sum. If provided, everyone’s goals will be returned.

type.params.pipeline_id query optional array

An array of pipeline IDs or null for all pipelines. If provided, everyone’s goals will be returned.

type.params.stage_id query optional integer

The ID of the stage. Applicable to only deals_progressed type of goals. If provided, everyone’s goals will be returned.

type.params.activity_type_id query optional array

An array of IDs or null for all activity types. Only applicable for activities_completed and/or activities_added types of goals. If provided, everyone’s goals will be returned.

period.start query optional string

The start date of the period for which to find goals. Date in format of YYYY-MM-DD. When period.start is provided, period.end must be provided too.

period.end query optional string

The end date of the period for which to find goals. Date in format of YYYY-MM-DD.

Responses

200

Successful response containing payload in the data.goal object

GET /goals/find
DELETE /goals/{id}

Marks a goal as deleted.

operationId: Goals_markAsDeleted

Parameters

Name In Required Type Description
id path required string

The ID of the goal

Responses

200

Successful response with id ‘success’ field only

DELETE /goals/{id}
PUT /goals/{id}

Updates an existing goal.

operationId: Goals_updateExistingGoal

Parameters

Name In Required Type Description
id path required string

The ID of the goal

Request Body

application/json
schema GoalsUpdateExistingGoalRequest
Property Type Required
type object optional
title string optional
assignee object optional
duration object optional
interval string optional
expected_outcome object optional

Responses

200

Successful response containing payload in the data.goal object

PUT /goals/{id}
GET /goals/{id}/results

Gets the progress of a goal for the specified period.

operationId: Goals_getResult

Parameters

Name In Required Type Description
id path required string

The ID of the goal that the results are looked for

period.start query required string

The start date of the period for which to find the goal’s progress. Format: YYYY-MM-DD. This date must be the same or after the goal duration start date.

period.end query required string

The end date of the period for which to find the goal’s progress. Format: YYYY-MM-DD. This date must be the same or before the goal duration end date.

Responses

200

Successful response containing payload in the data.goal object

GET /goals/{id}/results

Itemsearch 2 endpoints

GET /itemSearch

Performs a search from your choice of item types and fields.

operationId: ItemSearch_searchMultipleItems

Parameters

Name In Required Type Description
term query required string

The search term to look for. Minimum 2 characters (or 1 if using exact_match). Please note that the search term has to be URL encoded.

item_types query optional string

A comma-separated string array. The type of items to perform the search from. Defaults to all.

fields query optional string

A comma-separated string array. The fields to perform the search from. Defaults to all. Relevant for each item type are:
<table> <tr><th>Item type</th><th>Field</th></tr> <tr><td>Deal</td><td>custom_fields, notes, title</td></tr> <tr><td>Person</td><td>custom_fields, email, name, notes, phone</td></tr> <tr><td>Organization</td><td>address, custom_fields, name, notes</td></tr> <tr><td>Product</td><td>code, custom_fields, name</td></tr> <tr><td>Lead</td><td>custom_fields, notes, email, organization_name, person_name, phone, title</td></tr> <tr><td>File</td><td>name</td></tr> <tr><td>Mail attachment</td><td>name</td></tr> <tr><td>Project</td><td> custom_fields, notes, title, description </td></tr> </table>
Only the following custom field types are searchable: address, varchar, text, varchar_auto, double, monetary and phone. Read more about searching by custom fields here.
When searching for leads, the email, organization_name, person_name, and phone fields will return results only for leads not linked to contacts. For searching leads by person or organization values, please use search_for_related_items.

search_for_related_items query optional boolean

When enabled, the response will include up to 100 newest related leads and 100 newest related deals for each found person and organization and up to 100 newest related persons for each found organization

exact_match query optional boolean

When enabled, only full exact matches against the given term are returned. It is not case sensitive.

include_fields query optional string

A comma-separated string array. Supports including optional fields in the results which are not provided by default.

start query optional integer

Pagination start. Note that the pagination is based on main results and does not include related items when using search_for_related_items parameter.

limit query optional integer

Items shown per page

Responses

200

Success

GET /itemSearch
GET /itemSearch/field

Performs a search from the values of a specific field. Results can either be the distinct values of the field (useful for searching autocomplete field values), or the IDs of actual items (deals, leads, persons, organizations or products).

operationId: ItemSearch_byFieldValues

Parameters

Name In Required Type Description
term query required string

The search term to look for. Minimum 2 characters (or 1 if using exact_match). Please note that the search term has to be URL encoded.

field_type query required string

The type of the field to perform the search from

exact_match query optional boolean

When enabled, only full exact matches against the given term are returned. The search is case sensitive.

field_key query required string

The key of the field to search from. The field key can be obtained by fetching the list of the fields using any of the fields’ API GET methods (dealFields, personFields, etc.). Only the following custom field types are searchable: address, varchar, text, varchar_auto, double, monetary and phone. Read more about searching by custom fields here.

return_item_ids query optional boolean

Whether to return the IDs of the matching items or not. When not set or set to 0 or false, only distinct values of the searched field are returned. When set to 1 or true, the ID of each found item is returned.

start query optional integer

Pagination start

limit query optional integer

Items shown per page

Responses

200

Success

GET /itemSearch/field

Leadlabels 4 endpoints

GET /leadLabels

Returns details of all lead labels. This endpoint does not support pagination and all labels are always returned.

operationId: LeadLabels_getAll

Responses

200

Successful response containing payload in the data field

GET /leadLabels
POST /leadLabels

Creates a lead label.

operationId: LeadLabels_addNewLabel

Request Body

application/json
schema LeadLabelsAddNewLabelRequest
Property Type Required
name string required
color string required

Responses

200

Successful response containing payload in the data field

POST /leadLabels
DELETE /leadLabels/{id}

Deletes a specific lead label.

operationId: LeadLabels_deleteLabel

Parameters

Name In Required Type Description
id path required string

The ID of the lead label

Responses

200

Successful response with id value only. Used in DELETE calls.

404

A resource describing an error

DELETE /leadLabels/{id}
PATCH /leadLabels/{id}

Updates one or more properties of a lead label. Only properties included in the request will be updated.

operationId: LeadLabels_updateProperties

Parameters

Name In Required Type Description
id path required string

The ID of the lead label

Request Body

application/json
schema LeadLabelsUpdatePropertiesRequest
Property Type Required
name string optional
color string optional

Responses

200

Successful response containing payload in the data field

404

A resource describing an error

PATCH /leadLabels/{id}

Leadsources 1 endpoints

GET /leadSources

Returns all lead sources. Please note that the list of lead sources is fixed, it cannot be modified. All leads created through the Pipedrive API will have a lead source API assigned.

operationId: LeadSources_getAll

Responses

200

The successful response containing payload in the data field.

GET /leadSources

Leads 7 endpoints

GET /leads

Returns multiple leads. Leads are sorted by the time they were created, from oldest to newest. Pagination can be controlled using limit and start query parameters. If a lead contains custom fields, the fields’ values will be included in the response in the same format as with the Deals endpoints. If a custom field’s value hasn’t been set for the lead, it won’t appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields’ structure from deals.

operationId: Leads_getAll

Parameters

Name In Required Type Description
limit query optional integer

For pagination, the limit of entries to be returned. If not provided, 100 items will be returned.

start query optional integer

For pagination, the position that represents the first result for the page

archived_status query optional string

Filtering based on the archived status of a lead. If not provided, All is used.

owner_id query optional integer

If supplied, only leads matching the given user will be returned. However, filter_id takes precedence over owner_id when supplied.

person_id query optional integer

If supplied, only leads matching the given person will be returned. However, filter_id takes precedence over person_id when supplied.

organization_id query optional integer

If supplied, only leads matching the given organization will be returned. However, filter_id takes precedence over organization_id when supplied.

filter_id query optional integer

The ID of the filter to use

sort query optional string

The field names and sorting mode separated by a comma (field_name_1 ASC, field_name_2 DESC). Only first-level field keys are supported (no nested keys).

Responses

200

Successful response containing payload in the data field

GET /leads
POST /leads

Creates a lead. A lead always has to be linked to a person or an organization or both. All leads created through the Pipedrive API will have a lead source API assigned. Here’s the tutorial for adding a lead. If a lead contains custom fields, the fields’ values will be included in the response in the same format as with the Deals endpoints. If a custom field’s value hasn’t been set for the lead, it won’t appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields’ structure from deals. See an example given in the updating custom fields’ values tutorial.

operationId: Leads_createLead

Request Body

application/json
schema LeadsCreateLeadRequest
Property Type Required
title string required
value object optional
amount number required
currency string required
owner_id integer optional
was_seen boolean optional
label_ids array optional
person_id integer optional
visible_to string optional
organization_id integer optional
expected_close_date string optional

Responses

201

Successful response containing payload in the data field

POST /leads
GET /leads/search

Searches all leads by title, notes and/or custom fields. This endpoint is a wrapper of /v1/itemSearch with a narrower OAuth scope. Found leads can be filtered by the person ID and the organization ID.

operationId: Leads_searchLeads

Parameters

Name In Required Type Description
term query required string

The search term to look for. Minimum 2 characters (or 1 if using exact_match). Please note that the search term has to be URL encoded.

fields query optional string

A comma-separated string array. The fields to perform the search from. Defaults to all of them.

exact_match query optional boolean

When enabled, only full exact matches against the given term are returned. It is not case sensitive.

person_id query optional integer

Will filter leads by the provided person ID. The upper limit of found leads associated with the person is 2000.

organization_id query optional integer

Will filter leads by the provided organization ID. The upper limit of found leads associated with the organization is 2000.

include_fields query optional string

Supports including optional fields in the results which are not provided by default

start query optional integer

Pagination start. Note that the pagination is based on main results and does not include related items when using search_for_related_items parameter.

limit query optional integer

Items shown per page

Responses

200

Success

GET /leads/search
DELETE /leads/{id}

Deletes a specific lead.

operationId: Leads_deleteLead

Parameters

Name In Required Type Description
id path required string

The ID of the lead

Responses

200

Successful response with id value only. Used in DELETE calls.

404

A resource describing an error

DELETE /leads/{id}
GET /leads/{id}

Returns details of a specific lead. If a lead contains custom fields, the fields’ values will be included in the response in the same format as with the Deals endpoints. If a custom field’s value hasn’t been set for the lead, it won’t appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields’ structure from deals.

operationId: Leads_getDetails

Parameters

Name In Required Type Description
id path required string

The ID of the lead

Responses

200

Successful response containing payload in the data field

404

A resource describing an error

GET /leads/{id}
PATCH /leads/{id}

Updates one or more properties of a lead. Only properties included in the request will be updated. Send null to unset a property (applicable for example for value, person_id or organization_id). If a lead contains custom fields, the fields’ values will be included in the response in the same format as with the Deals endpoints. If a custom field’s value hasn’t been set for the lead, it won’t appear in the response. Please note that leads do not have a separate set of custom fields, instead they inherit the custom fields’ structure from deals. See an example given in the updating custom fields’ values tutorial.

operationId: Leads_updateLeadProperties

Parameters

Name In Required Type Description
id path required string

The ID of the lead

Request Body

application/json
schema LeadsUpdateLeadPropertiesRequest
Property Type Required
title string optional
value object optional
amount number required
currency string required
owner_id integer optional
was_seen boolean optional
label_ids array optional
person_id integer optional
visible_to string optional
is_archived boolean optional
organization_id integer optional
expected_close_date string optional

Responses

200

Successful response containing payload in the data field

404

A resource describing an error

PATCH /leads/{id}
GET /leads/{id}/permittedUsers

Lists the users permitted to access a lead.

operationId: Leads_listPermittedUsers

Parameters

Name In Required Type Description
id path required string

The ID of the lead

Responses

200

Lists users permitted to access a lead

GET /leads/{id}/permittedUsers

Mailbox 6 endpoints

GET /mailbox/mailMessages/{id}

Returns data about a specific mail message.

operationId: Mailbox_getMailMessage

Parameters

Name In Required Type Description
id path required integer

The ID of the mail message to fetch

include_body query optional number

Whether to include the full message body or not. 0 = Don’t include, 1 = Include.

Responses

200

The mail messages that are being synced with Pipedrive

GET /mailbox/mailMessages/{id}
GET /mailbox/mailThreads

Returns mail threads in a specified folder ordered by the most recent message within.

operationId: Mailbox_getMailThreads

Parameters

Name In Required Type Description
folder query required string

The type of folder to fetch

start query optional integer

Pagination start

limit query optional integer

Items shown per page

Responses

200

Get mail threads

GET /mailbox/mailThreads
DELETE /mailbox/mailThreads/{id}

Marks a mail thread as deleted.

operationId: Mailbox_markThreadDeleted

Parameters

Name In Required Type Description
id path required integer

The ID of the mail thread

Responses

200

Marks mail thread as deleted

DELETE /mailbox/mailThreads/{id}
GET /mailbox/mailThreads/{id}

Returns a specific mail thread.

operationId: Mailbox_getMailThread

Parameters

Name In Required Type Description
id path required integer

The ID of the mail thread

Responses

200

Get mail threads

GET /mailbox/mailThreads/{id}
PUT /mailbox/mailThreads/{id}

Updates the properties of a mail thread.

operationId: Mailbox_updateMailThreadDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the mail thread

Request Body

application/x-www-form-urlencoded
schema MailboxUpdateMailThreadDetailsRequest
Property Type Required
deal_id integer optional
lead_id string optional
read_flag number optional
shared_flag number optional
archived_flag number optional

Responses

200

Updates the properties of a mail thread

PUT /mailbox/mailThreads/{id}
GET /mailbox/mailThreads/{id}/mailMessages

Returns all the mail messages inside a specified mail thread.

operationId: Mailbox_getAllMailMessages

Parameters

Name In Required Type Description
id path required integer

The ID of the mail thread

Responses

200

Get mail messages from thread

GET /mailbox/mailThreads/{id}/mailMessages
Load more endpoints